# Uses of Interface
jebl.math.OrderEnumerator.OEFactory

Packages that use OrderEnumerator.OEFactory
Package
Description
jebl.math

## Uses of OrderEnumerator.OEFactory in jebl.math

Methods in jebl.math that return OrderEnumerator.OEFactory
Modifier and Type
Method
Description
`static final OrderEnumerator.OEFactory`
OrderEnumerator.Utils.`getAdjustedFactory(OrderEnumerator.OEFactory toAdjust, int adjustmentFactor)`
`static final OrderEnumerator.OEFactory`
OrderEnumerator.Utils.`getAlternatingFactory(OrderEnumerator.OEFactory primary, OrderEnumerator.OEFactory secondary)`
`static final OrderEnumerator.OEFactory`
OrderEnumerator.Utils.`getBiasAlternatingFactory(OrderEnumerator.OEFactory primary, OrderEnumerator.OEFactory secondary)`
`static final OrderEnumerator.OEFactory`
OrderEnumerator.Utils.`getConstantFactory(int index)`
`static final OrderEnumerator.OEFactory`
OrderEnumerator.Utils.`getOrderedFactory()`
`static final OrderEnumerator.OEFactory`
OrderEnumerator.Utils.`getRestrictedFactory(OrderEnumerator.OEFactory toRestrict, int minimum, int range)`
`static final OrderEnumerator.OEFactory`
OrderEnumerator.Utils.`getShuffledFactory()`
`static final OrderEnumerator.OEFactory`
OrderEnumerator.Utils.`getZeroFactory()`
Methods in jebl.math with parameters of type OrderEnumerator.OEFactory
Modifier and Type
Method
Description
`static final OrderEnumerator.OEFactory`
OrderEnumerator.Utils.`getAdjustedFactory(OrderEnumerator.OEFactory toAdjust, int adjustmentFactor)`
`static final OrderEnumerator.OEFactory`
OrderEnumerator.Utils.`getAlternatingFactory(OrderEnumerator.OEFactory primary, OrderEnumerator.OEFactory secondary)`
`static final OrderEnumerator.OEFactory`
OrderEnumerator.Utils.`getBiasAlternatingFactory(OrderEnumerator.OEFactory primary, OrderEnumerator.OEFactory secondary)`
`static final OrderEnumerator.OEFactory`
OrderEnumerator.Utils.`getRestrictedFactory(OrderEnumerator.OEFactory toRestrict, int minimum, int range)`
Constructors in jebl.math with parameters of type OrderEnumerator.OEFactory
Modifier
Constructor
Description
``
`OrthogonalSearch(OrderEnumerator.OEFactory orderingFactory)`
Initialization